Get firewall group details

Retrieve detailed information about a specific firewall group and its rules. This is useful for inspecting or understanding the network security configuration for your services.

VPS Services Firewall

Context

Path Parameters

id string required Example: 9294162d-47c2-45b0-941e-f4ac43629835

UUID for id

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.group object required
data.group.client_id integer required · Example: 30000
data.group.created_at string required · Example: 2026-02-10T00:00:00.000Z
data.group.description string · nullable required · Example: null

Nullable: may be null when not applicable.

data.group.id string required · Example: 9294162d-47c2-45b0-941e-f4ac43629835
data.group.is_system boolean required · Example: false
data.group.name string required · Example: main
data.group.rules array<object> required · Example: [{"id":"6a0e4e1e-8695-4dea-b069-6b399552bd56","type":"in","action":"ACCEPT","enable":tr...
data.group.rules[].action string required · Example: ACCEPT
data.group.rules[].comment string · enum required · Example: SSH
HTTPS
Ping
SSH
SYNCTHING
syncthing
data.group.rules[].created_at string required · Example: 2026-02-10T00:00:00.000Z
data.group.rules[].dest string · nullable required · Example: null

Nullable: may be null when not applicable.

data.group.rules[].dport string · nullable required · Example: 22

Nullable: may be null when not applicable.

data.group.rules[].enable boolean required · Example: true
data.group.rules[].id string required · Example: 6a0e4e1e-8695-4dea-b069-6b399552bd56
data.group.rules[].iface string · nullable required · Example: null

Nullable: may be null when not applicable.

data.group.rules[].macro string · nullable required · Example: null

Nullable: may be null when not applicable.

data.group.rules[].pos integer required · Example: 0
data.group.rules[].proto string · nullable · enum required · Example: tcp

Nullable: may be null when not applicable.

icmp
tcp
udp
data.group.rules[].source string · nullable required · Example: null

Nullable: may be null when not applicable.

data.group.rules[].sport string · nullable required · Example: null

Nullable: may be null when not applicable.

data.group.rules[].type string required · Example: in
data.group.rules[].updated_at string required · Example: 2026-02-10T00:00:00.000Z
data.group.updated_at string required · Example: 2026-02-10T00:00:00.000Z
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/firewall-groups/{id}
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/firewall-groups/9294162d-47c2-45b0-941e-f4ac43629835" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "group": {
      "id": "9294162d-47c2-45b0-941e-f4ac43629835",
      "client_id": 30000,
      "name": "main",
      "description": null,
      "is_system": false,
      "created_at": "2026-02-10T00:00:00.000Z",
      "updated_at": "2026-02-10T00:00:00.000Z",
      "rules": [
        {
          "id": "6a0e4e1e-8695-4dea-b069-6b399552bd56",
          "type": "in",
          "action": "ACCEPT",
          "enable": true,
          "pos": 0,
          "proto": "tcp",
          "dport": "22",
          "sport": null,
          "source": null,
          "dest": null,
          "comment": "SSH",
          "iface": null,
          "macro": null,
          "created_at": "2026-02-10T00:00:00.000Z",
          "updated_at": "2026-02-10T00:00:00.000Z"
        },
        {
          "id": "ee2771c5-3fad-4f15-b034-5d1487c27723",
          "type": "in",
          "action": "ACCEPT",
          "enable": true,
          "pos": 1,
          "proto": "tcp",
          "dport": "443",
          "sport": null,
          "source": null,
          "dest": null,
          "comment": "HTTPS",
          "iface": null,
          "macro": null,
          "created_at": "2026-02-10T00:00:00.000Z",
          "updated_at": "2026-02-10T00:00:00.000Z"
        },
        {
          "_truncated": "... and 3 more items"
        }
      ]
    }
  }
}